import request from '@/router/axios'

export function getTaskType(query) {
  return request({
    url: '/admin/wmtasktype/list-category-task-type',
    method: 'get',
    params: query
  })
}
export function putData(data) {
  return request({
    url: '/admin/task/percent/rule',
    method: 'post',
    data: data
  })
}
export function getPercentRule(query) {
  return request({
    url: '/admin/task/percent/rule/list',
    method: 'get',
    params: query
  })
}


export function delRule(id) {
  return request({
    url: '/admin/task/percent/rule/' + id,
    method: 'delete',
  })
}

export function getEditRule(id) {
  return request({
    url: '/admin/task/percent/rule/' + id,
    method: 'get',
  })
}

export function editRule(data) {
  return request({
    url: '/admin/task/percent/rule',
    method: 'put',
    data
  })
}

